Create a ContractAsk AIpost https://{account}.sysaidit.com/connect/v1/license-manager/contractsCreate a new contract in your SysAid account.Body Paramsnamestringrequiredlength between 1 and 255The display name of the contract.applicationIdstring | nullrequiredThe unique identifier of the linked application. Use the Applications API to retrieve application details.statusstringrequiredThe current status of the contract. Allowed values are "active" (currently in effect), "closed" (expired or terminated), and "pipeline" (planned but not yet active).typestring | nullThe type of software deployment for this contract. Allowed values are "saas" (cloud-based software), "on-prem" (on-premises software), "hybrid" (combination of cloud and on-premises), and "other".categorystring | nullThe application's business category. Allowed values: operations, sales-and-marketing, developer-tools, design, project-management, customer-success, human-resources, it-and-security, finance, productivity, analytics-and-bi, other.startDatedate | nullThe start date of the contract.endDatedate | nullThe end date of the contract.paymentTermstring | nullThe billing frequency for this contract. Allowed values are "annual", "monthly", "multiyear", "quarterly", "one-time", and "free".contractValuenumber | null≥ 0The total monetary value of the contract in the specified currency.currencystringISO 4217 currency code for cost fields. Allowed values: USD, EUR, GBP, CAD, CHF, SEK, NOK, DKK, MXN, PLN, BRL, ILS, AUD, NZD, ZAR, GHS, TTD.licensesCountinteger | null≥ 0The number of licenses included in this contract.autoRenewalbooleanDefaults to falseIndicates whether the contract renews automatically when it reaches its end date. The default is "false".truefalsecancellationNoticeinteger | null≥ 0The number of days before the end date by which cancellation must be submitted to avoid auto-renewal.notesstring | nullFree-text notes or comments about the contract.Responses 201Contract is successfully created. 400The request was invalid or cannot be served 401Authentication information is missing or invalid 409The request could not be completed due to a conflict with the current state of the resource. This typically occurs when attempting to create a duplicate resource, update a resource that has been modified by another process, or when business rules prevent the operation. 500An unexpected error occurred on the serverUpdated 13 days ago